### Function

# Ide BuildSystem from_context

#### Declaration

    IdeBuildSystem*
    ide_build_system_from_context (
      IdeContext* context
    )

#### Description

Gets the build system for the context. If no build system has been registered, then this returns `NULL`.

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| A `IdeContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeBuildSystem`
| An `IdeBuildSystem`.
| The data is owned by the called function.
| The return value can be `NULL`.